/* ************************************************************************
 * Copyright 2006 Lucio Benfante
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *********************************************************************** */
package com.benfante.splasher.task;

/**
 * Interface that must be implemented by the task observers.
 *
 * @author Lucio Benfante <a href="mailto:lucio@benfante.com">lucio@benfante.com</a>
 * @version $Id: TaskObserver.java,v 1.1.1.1 2006-04-01 05:41:35 lucio Exp $
 */
public interface TaskObserver {
    /**
     * This method will be called when an observer is added to a task.
     *
     * @param task The task that is adding the observer.
     */
    public void notifyAdd(Task task);
    
    /**
     * This method will be called when a task notify changes to the observer.
     *
     * @param task The task notifying the changes.
     */
    public void update(Task task);
}
